--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Assign (allocate) the given <tt>color</tt> to the palette entry identified by <tt>index</tt>. If the entry was previously allocated to a different color, every pixel in the image having the given color <tt>index</tt> will effectively be changed to the new color. This method cannot be used with Image::TrueColor palettes.
full_name: GD2::Palette#[]=
is_singleton: false
name: "[]="
params: (index, color)
visibility: public
